CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-5846

The SNMP agent (snmp_agent.c) in net-snmp before 5.4.1 allows remote attackers to cause a denial of service (CPU and memory consumption) via a GETBULK request with a large max-repeaters value.
Publish Date : 2007-11-06 Last Update Date : 2017-09-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.8
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 399

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important 2007-11-02 2007-05-04
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2007-5846 oval:org.opensuse.security:def:20075846 unix
DSA-1483 net-snmp -- design error oval:org.mitre.oval:def:7979 unix
DSA-1483-1 net-snmp - denial of service oval:org.mitre.oval:def:18698 unix
ELSA-2007:1045: net-snmp security update (Moderate) oval:org.mitre.oval:def:22602 unix
RHSA-2007:1045: net-snmp security update (Moderate) oval:com.redhat.rhsa:def:20071045 unix
The SNMP agent (snmp_agent.c) in net-snmp before 5.4.1 allows remote attackers to cause a denial of service (CPU and mem... oval:org.mitre.oval:def:11258 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2007-5846

# Product Type Vendor Product Version Update Edition Language
1 Application Net-snmp Net-snmp 5.4.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Net-snmp Net-snmp 1

- References For CVE-2007-5846

https://www.redhat.com/archives/fedora-package-announce/2007-November/msg00613.html
FEDORA FEDORA-2007-3019
http://www.vupen.com/english/advisories/2008/1234/references
VUPEN ADV-2008-1234
http://www.vupen.com/english/advisories/2007/3802
VUPEN ADV-2007-3802
http://www.ubuntu.com/usn/usn-564-1
UBUNTU USN-564-1
http://www.securitytracker.com/id?1018918
SECTRACK 1018918
http://www.securityfocus.com/bid/26378
BID 26378 Net-SNMP GETBULK Remote Denial of Service Vulnerability Release Date:2008-04-18
http://www.mandriva.com/security/advisories?name=MDKSA-2007:225
MANDRIVA MDKSA-2007:225
http://www.novell.com/linux/security/advisories/2007_25_sr.html
SUSE SUSE-SR:2007:025
http://www.redhat.com/support/errata/RHSA-2007-1045.html
REDHAT RHSA-2007:1045
http://www.securityfocus.com/archive/1/archive/1/490917/100/0/threaded
BUGTRAQ 20080416 VMSA-2008-0007 Moderate Updated Service Console packages pcre, net-snmp, and OpenPegasus
http://sourceforge.net/tracker/index.php?func=detail&aid=1712988&group_id=12694&atid=112694 CONFIRM
http://www.debian.org/security/2008/dsa-1483
DEBIAN DSA-1483
http://sourceforge.net/project/shownotes.php?release_id=528095&group_id=12694 CONFIRM
http://security.gentoo.org/glsa/glsa-200711-31.xml
GENTOO GLSA-200711-31
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp/tags/Ext-5-4-1/net-snmp/agent/snmp_agent.c?view=log
http://bugs.gentoo.org/show_bug.cgi?id=198346 CONFIRM
http://lists.vmware.com/pipermail/security-announce/2008/000014.html
MLIST [Security-announce] 20080415 VMSA-2008-0007 Moderate Updated Service Console packages pcre, net-snmp, and OpenPegasus

- Metasploit Modules Related To CVE-2007-5846

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.